import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class ApiRootModule {}

@NgModule({})
export class ApiModule {
  public static forRoot(): ModuleWithProviders<ApiRootModule> {
    return {
      ngModule: ApiRootModule,
      providers: [...SERVICES],
    };
  }
}
